TARGET		= quasar
TEMPLATE	= app

CONFIG		= qt warn_on

SQLITE_FLAGS = -DSQLITE_THREADSAFE=0 
	
TMAKE_CFLAGS	= $$TMAKE_CFLAGS $$SQLITE_FLAGS
TMAKE_CXXFLAGS  = $$TMAKE_CXXFLAGS $$SQLITE_FLAGS

DEFINES +=	QUASAR \
			SQLITE_OMIT_UTF16 \
			SQLITE_OMIT_AUTHORIZATION \
			SQLITE_OMIT_PROGRESS_CALLBACK \
			SQLITE_OMIT_SHARED_CACHE \
			SQLITE_OMIT_LOAD_EXTENSION

LIBS		= -lz -lstdc++

INCLUDEPATH	= \
		. \
		core \
		core/platform \
		core/aspectextensions \
		ui \
		ui/aspectwidgets \
		ui/skin \
		ui/skin/layeredcontrols \
		ui/config \
		compat \
		libs/taglib/taglib \
		libs/taglib/taglib/taglib \
		libs/taglib/taglib/taglib/ape \
		libs/taglib/taglib/taglib/flac \
		libs/taglib/taglib/taglib/mpc \
		libs/taglib/taglib/taglib/mpeg \
		libs/taglib/taglib/taglib/mpeg/id3v1 \
		libs/taglib/taglib/taglib/mpeg/id3v2 \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames \
		libs/taglib/taglib/taglib/ogg \
		libs/taglib/taglib/taglib/ogg/flac \
		libs/taglib/taglib/taglib/ogg/vorbis \
		libs/taglib/taglib/taglib/toolkit \
		libs/taglib/taglib_addons \
		libs/taglib/taglib_addons/aac \
		libs/taglib/taglib_addons/audible \
		libs/taglib/taglib_addons/m4a \
		libs/taglib/taglib_addons/rmff \
		libs/taglib/taglib_addons/speex \
		libs/taglib/taglib_addons/trueaudio \
		libs/taglib/taglib_addons/wav \
		libs/taglib/taglib_addons/wavpack \
		libs/taglib/taglib_addons/wma \
		libs/kmdcodec \
		libs/sqlite \
		libs/flowmatix \
		libs/flowmatix/imagecache \
		libs/flowmatix/flowmatixcore
		
HEADERS		= \
		quasar.h \
		core/addonmanager.h \
		core/configuration.h \
		core/debug.h \
		core/media.h \
		core/mediaidentifier.h \
		core/mediadatabase.h \
		core/mplayer.h \
		core/coverartprovider.h \
		core/coverartimageprovider.h \
		core/playlist.h \
		core/playlistmanager.h \
		core/playbackcontroller.h \
		core/signalhandler.h \
		core/keynames.h \
		core/action.h \
		core/externalservices.h \
		core/helpers.h \
		core/playlistaspect.h \
		core/aspectextensions/playlistaspectlistviewrenderer.h \
		core/aspectextensions/playlistaspectoverviewfilter.h \
		core/aspectextensions/playlistaspectsearchfilter.h \
		core/aspectextensions/playlistaspectstatisticsgatherer.h \
		core/aspectextensions/playlistaspectalbumgroupbuilder.h \
		core/platform/platformservices.h \
		core/platform/system_volume.h \
		ui/configurationdialog.h \
		ui/mediainfodialog.h \
		ui/operationpanel.h \
		ui/toolpanel.h \
		ui/kineticlistview.h \
		ui/playinfo.h \
		ui/videoplaybackwindow.h \
		ui/playlisttoolpanel.h \
		ui/aboutdialog.h \
		ui/textviewdialog.h \
		ui/aspectwidgets/playlistsearchfilterlineedit.h \
		ui/aspectwidgets/playlistview.h \
		ui/aspectwidgets/playlistoverview.h \
		ui/aspectwidgets/coverartflow.h \
		ui/skin/seekbar.h \
		ui/skin/skinpanel.h \
		ui/skin/skinnedbutton.h \
		ui/skin/skinnedlabel.h \
		ui/skin/skinnedtimelabel.h \
		ui/skin/skin.h \
		ui/skin/skinmanager.h \
		ui/skin/layeredcontrols/skinscrollbar.h \
		ui/config/configview.h \
		ui/config/generalconfig.h \
		ui/config/mplayerconfig.h \
		ui/config/formatsconfig.h \
		ui/config/hotkeyconfig.h \
		ui/config/hotareaconfig.h \
		ui/config/identifykeydialog.h \
		ui/config/uiconfig.h \
		ui/config/coverartconfig.h \
		libs/flowmatix/reflectionimageflow.h \
		libs/flowmatix/imagecache/backgroundtasks.h \
		libs/flowmatix/imagecache/cachedimageprovider.h \
		libs/flowmatix/imagecache/customscaledcachedimageprovider.h \
		libs/flowmatix/flowmatixcore/imagefx.h \
		libs/flowmatix/flowmatixcore/paintbox.h \
		libs/flowmatix/flowmatixcore/scrollbar.h \
		libs/flowmatix/flowmatixcore/transitiontimer.h \
		libs/flowmatix/flowmatixcore/customflow.h \
		libs/flowmatix/flowmatixcore/customperspectiveimageflow.h

SOURCES		= \
		main.cpp \
		quasar.cpp \
		core/addonmanager.cpp \
		core/configuration.cpp \
		core/debug.cpp \
		core/externalservices.cpp \
		core/media.cpp \
		core/mediaidentifier.cpp \
		core/mediadatabase.cpp \
		core/mplayer.cpp \
		core/coverartprovider.cpp \
		core/coverartimageprovider.cpp \
		core/playlist.cpp \
		core/playlistmanager.cpp \
		core/playbackcontroller.cpp \
		core/signalhandler.cpp \
		core/keynames.cpp \
		core/action.cpp \
		core/helpers.cpp \
		core/playlistaspect.cpp \
		core/aspectextensions/playlistaspectlistviewrenderer.cpp \
		core/aspectextensions/playlistaspectoverviewfilter.cpp \
		core/aspectextensions/playlistaspectsearchfilter.cpp \
		core/aspectextensions/playlistaspectstatisticsgatherer.cpp \
		core/aspectextensions/playlistaspectalbumgroupbuilder.cpp \
		core/platform/platformservices.cpp \
		core/platform/system_volume.cpp \
		ui/videoplaybackwindow.cpp \
		ui/configurationdialog.cpp \
		ui/mediainfodialog.cpp \
		ui/operationpanel.cpp \
		ui/toolpanel.cpp \	
		ui/kineticlistview.cpp \
		ui/playinfo.cpp \
		ui/playlisttoolpanel.cpp \
		ui/aboutdialog.cpp \
		ui/textviewdialog.cpp \
		ui/simplefiledialog.cpp \
		ui/aspectwidgets/playlistsearchfilterlineedit.cpp \
		ui/aspectwidgets/playlistview.cpp \
		ui/aspectwidgets/playlistoverview.cpp \
		ui/aspectwidgets/coverartflow.cpp \
		ui/skin/seekbar.cpp \
		ui/skin/skinpanel.cpp \
		ui/skin/skinnedbutton.cpp \
		ui/skin/skinnedlabel.cpp \
		ui/skin/skinnedtimelabel.cpp \
		ui/skin/skin.cpp \
		ui/skin/skinmanager.cpp \
		ui/skin/layeredcontrols/skinscrollbar.cpp \
		ui/config/configview.cpp \
		ui/config/generalconfig.cpp \
		ui/config/mplayerconfig.cpp \
		ui/config/formatsconfig.cpp \
		ui/config/hotkeyconfig.cpp \
		ui/config/hotareaconfig.cpp \
		ui/config/identifykeydialog.cpp \
		ui/config/uiconfig.cpp \
		ui/config/coverartconfig.cpp \
		libs/taglib/taglib/taglib/ape/apefooter.cpp \
		libs/taglib/taglib/taglib/ape/apeitem.cpp \
		libs/taglib/taglib/taglib/ape/apetag.cpp \
		libs/taglib/taglib/taglib/audioproperties.cpp \
		libs/taglib/taglib/taglib/fileref.cpp \
		libs/taglib/taglib/taglib/flac/flacfile.cpp \
		libs/taglib/taglib/taglib/flac/flacproperties.cpp \
		libs/taglib/taglib/taglib/mpc/mpcfile.cpp \
		libs/taglib/taglib/taglib/mpc/mpcproperties.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v1/id3v1genres.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v1/id3v1tag.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/commentsframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/unknownframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2extendedheader.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2footer.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2frame.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2header.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2synchdata.cpp \
		libs/taglib/taglib/taglib/mpeg/id3v2/id3v2tag.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegfile.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegheader.cpp \
		libs/taglib/taglib/taglib/mpeg/mpegproperties.cpp \
		libs/taglib/taglib/taglib/mpeg/xingheader.cpp \
		libs/taglib/taglib/taglib/ogg/flac/oggflacfile.cpp \
		libs/taglib/taglib/taglib/ogg/oggfile.cpp \
		libs/taglib/taglib/taglib/ogg/oggpage.cpp \
		libs/taglib/taglib/taglib/ogg/oggpageheader.cpp \
		libs/taglib/taglib/taglib/ogg/vorbis/vorbisfile.cpp \
		libs/taglib/taglib/taglib/ogg/vorbis/vorbisproperties.cpp \
		libs/taglib/taglib/taglib/ogg/xiphcomment.cpp \
		libs/taglib/taglib/taglib/tag.cpp \
		libs/taglib/taglib/taglib/toolkit/tbytevector.cpp \
		libs/taglib/taglib/taglib/toolkit/tbytevectorlist.cpp \
		libs/taglib/taglib/taglib/toolkit/tdebug.cpp \
		libs/taglib/taglib/taglib/toolkit/tfile.cpp \
		libs/taglib/taglib/taglib/toolkit/tstring.cpp \
		libs/taglib/taglib/taglib/toolkit/tstringlist.cpp \
		libs/taglib/taglib/taglib/toolkit/unicode.cpp \
		libs/taglib/taglib_addons/aac/aacfiletyperesolver.cpp \
		libs/taglib/taglib_addons/audible/audibleproperties.cpp \
		libs/taglib/taglib_addons/audible/audibletag.cpp \
		libs/taglib/taglib_addons/audible/taglib_audiblefile.cpp \
		libs/taglib/taglib_addons/audible/taglib_audiblefiletyperesolver.cpp \
		libs/taglib/taglib_addons/m4a/boxfactory.cpp \
		libs/taglib/taglib_addons/m4a/itunesalbbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesartbox.cpp \
		libs/taglib/taglib_addons/m4a/itunescmtbox.cpp \
		libs/taglib/taglib_addons/m4a/itunescvrbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdatabox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdaybox.cpp \
		libs/taglib/taglib_addons/m4a/itunesdiskbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesgenbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesgrpbox.cpp \
		libs/taglib/taglib_addons/m4a/itunesnambox.cpp \
		libs/taglib/taglib_addons/m4a/itunestmpobox.cpp \
		libs/taglib/taglib_addons/m4a/itunestrknbox.cpp \
		libs/taglib/taglib_addons/m4a/ituneswrtbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4audioproperties.cpp \
		libs/taglib/taglib_addons/m4a/mp4audiosampleentry.cpp \
		libs/taglib/taglib_addons/m4a/mp4file.cpp \
		libs/taglib/taglib_addons/m4a/mp4fourcc.cpp \
		libs/taglib/taglib_addons/m4a/mp4hdlrbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4ilstbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4isobox.cpp \
		libs/taglib/taglib_addons/m4a/mp4isofullbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4itunestag.cpp \
		libs/taglib/taglib_addons/m4a/mp4mdiabox.cpp \
		libs/taglib/taglib_addons/m4a/mp4metabox.cpp \
		libs/taglib/taglib_addons/m4a/mp4minfbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4moovbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4mvhdbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4propsproxy.cpp \
		libs/taglib/taglib_addons/m4a/mp4sampleentry.cpp \
		libs/taglib/taglib_addons/m4a/mp4skipbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4stblbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4stsdbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4tagsproxy.cpp \
		libs/taglib/taglib_addons/m4a/mp4trakbox.cpp \
		libs/taglib/taglib_addons/m4a/mp4udtabox.cpp \
		libs/taglib/taglib_addons/m4a/taglib_mp4filetyperesolver.cpp \
		libs/taglib/taglib_addons/rmff/rmff.cpp \
		libs/taglib/taglib_addons/rmff/taglib_realmediafile.cpp \
		libs/taglib/taglib_addons/rmff/taglib_realmediafiletyperesolver.cpp \
		libs/taglib/taglib_addons/speex/speexfile.cpp \
		libs/taglib/taglib_addons/speex/speexproperties.cpp \
		libs/taglib/taglib_addons/speex/taglib_speexfiletyperesolver.cpp \
		libs/taglib/taglib_addons/tplugins.cpp \
		libs/taglib/taglib_addons/trueaudio/taglib_trueaudiofiletyperesolver.cpp \
		libs/taglib/taglib_addons/trueaudio/ttafile.cpp \
		libs/taglib/taglib_addons/trueaudio/ttaproperties.cpp \
		libs/taglib/taglib_addons/wav/wavfile.cpp \
		libs/taglib/taglib_addons/wav/wavfiletyperesolver.cpp \
		libs/taglib/taglib_addons/wav/wavproperties.cpp \
		libs/taglib/taglib_addons/wavpack/taglib_wavpackfiletyperesolver.cpp \
		libs/taglib/taglib_addons/wavpack/wvfile.cpp \
		libs/taglib/taglib_addons/wavpack/wvproperties.cpp \
		libs/taglib/taglib_addons/wma/taglib_wmafiletyperesolver.cpp \
		libs/taglib/taglib_addons/wma/wmaattribute.cpp \
		libs/taglib/taglib_addons/wma/wmafile.cpp \
		libs/taglib/taglib_addons/wma/wmaproperties.cpp \
		libs/taglib/taglib_addons/wma/wmatag.cpp \
		libs/kmdcodec/kmdcodec.cpp \
		libs/sqlite/sqlite3.c \
		libs/flowmatix/reflectionimageflow.cpp \
		libs/flowmatix/imagecache/backgroundtasks.cpp \
		libs/flowmatix/imagecache/cachedimageprovider.cpp \
		libs/flowmatix/imagecache/customscaledcachedimageprovider.cpp \
		libs/flowmatix/flowmatixcore/imagefx.cpp \
		libs/flowmatix/flowmatixcore/paintbox.cpp \
		libs/flowmatix/flowmatixcore/scrollbar.cpp \
		libs/flowmatix/flowmatixcore/customflow.cpp \
		libs/flowmatix/flowmatixcore/customperspectiveimageflow.cpp \
		libs/flowmatix/flowmatixcore/transitiontimer.cpp
		
MOC_DIR		= .moc
OBJECTS_DIR	= .o
